"use client"
import React from 'react'
import {motion} from "framer-motion"
import Image from 'next/image';


const Hero = () => {
  const textAnimation = {
    animate: {x: [0, -1000], transition: {x: {repeat: Infinity, repeatType: "loop", duration: 5, ease: "linear",},},},
  };
  const textAnimation1 = {
    animate: {x: [-1000, 0], transition: {x: {repeat: Infinity, repeatType: "loop", duration: 5, ease: "linear",},},},
  };


  return (
    <div className='flex flex-col gap-10 md:gap-20'>
      <div className='mt-10 -z-20'>
          <motion.div className='absolute whitespace-nowrap' variants={textAnimation } animate="animate">
            <p className='mt-[30px] text-7xl md:text-9xl text-white font-bold tracking-wider uppercase'>Donuts worry about things! Donuts worry about things! Donuts worry about things!</p>
          </motion.div>
      </div>
      <div className='mt-10 -z-20'>
          <motion.div className='absolute whitespace-nowrap' variants={textAnimation1} animate="animate">
            <p className='mt-[30px] text-7xl md:text-9xl text-white font-bold tracking-wider uppercase'>Donuts worry about things! Donuts worry about things! Donuts worry about things!</p>
          </motion.div>
      </div>
      <div className='mt-10 -z-20'>
          <motion.div className='absolute whitespace-nowrap' variants={textAnimation } animate="animate">
            <p className='mt-[30px] text-7xl md:text-9xl text-white font-bold tracking-wider uppercase'>Donuts worry about things! Donuts worry about things! Donuts worry about things!</p>
          </motion.div>
      </div>
      <div className='w-full h-[80%] flex flex-col justify-center items-center absolute -z-10'>
        <Image src='/donut.png' width={1000} height={1000} alt='home_donut' className='drop-shadow-2xl w-[750px] -mt-20 md:mt-0 '/>
        <p>Puffy Donut</p>
        <p>Why do our donuts so good?</p>
      </div>
    </div>
  )
}

export default Hero